package com.ejie.ad74a.dao;

import com.ejie.ad74a.model.DatosInterop;

public interface InteropsNisaeDao {

	/**
	 * Inserts a single row in the Dependencia table.
	 *
	 * @param datosInterop InteropsNisae datos para insertar
	 * @return InteropsNisae datos insertados
	 */
	
	/**
	 * Finds a single row in the DatosInterop table.
	 *
	 * @param datosinterop DatosInterop
	 * @return DatosInterop
	 */
	DatosInterop findIdExpediente(DatosInterop datosinterop);
	
	DatosInterop add(DatosInterop datosInterop, Boolean modoPrueba);

	DatosInterop updateDatosDiscapacidad(DatosInterop datosinterop, Boolean modoPrueba);

	DatosInterop updateDatosDependencia(DatosInterop datosinterop, Boolean modoPrueba);


}
